slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetStoppingTest

Specifies how to decide the termination of the outer loop of the eigensolver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetStoppingTest(NEP nep,NEPStop stop)

Logically Collective

### Input Parameters

| nep | - nonlinear eigensolver context obtained from NEPCreate()
| stop | - the type of stopping test

### Options Database Keys

| -nep_stop_basic | - Sets the default stopping test
| -nep_stop_user | - Selects the user-defined stopping test

### Note

The parameter 'stop' can have one of these values

| NEP_STOP_BASIC | - default stopping test
| NEP_STOP_USER | - function set by NEPSetStoppingTestFunction()

### See Also

NEPGetStoppingTest(), NEPSetStoppingTestFunction(), NEPSetConvergenceTest(), NEPStop

### Level

advanced

### Location

src/nep/interface/nepopts.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages